import { S3 } from "./deps.ts";
import config from "./config.ts";

if (!config.s3) {
   throw new Error("Config is missing [s3] section!");
}

if (!config.s3.endpoint) {
   throw new Error("Config is missing s3.endpoint!");
}

if (!config.s3.accessKey) {
   throw new Error("Config is missing s3.accessKey!");
}

if (!config.s3.secretKey) {
   throw new Error("Config is missing s3.secretKey!");
}

const bucket = new S3.S3Bucket({
   bucket: config.s3.bucket || "deno-registry",
   endpointURL: config.s3.endpoint,
   accessKeyID: config.s3.accessKey,
   secretKey: config.s3.secretKey,
   region: config?.s3?.region || "us-east-1",
});

export default bucket;
